networks:
  w-network:
    driver: ${NETWORKS_DRIVER}
services:
  rabbitmq:
    build:
      context: ../docker/build/rabbitmq
      args:
        RABBITMQ_VERSION: ${RABBITMQ_VERSION}
    container_name: rabbitmq
    ports:
      - "${RABBITMQ_PORT_C}:5672"
      - "${RABBITMQ_PORT_S}:15672"
    volumes:
      - ${H}/app/mq/rabbitmq/conf.d/management_agent.disable_metrics_collector.conf:/etc/rabbitmq/conf.d/management_agent.disable_metrics_collector.conf
      - ${H}/data/mq/rabbitmq/data/:/var/lib/rabbitmq/mnesia/:rw
    environment:
      TZ: ${WORKSPACE_TZ}
      RABBITMQ_DEFAULT_USER: ${RABBITMQ_DEFAULT_USER}
      RABBITMQ_DEFAULT_PASS: ${RABBITMQ_DEFAULT_PASS}
    networks:
        - w-network

  zookeeper:
    image: ${ZOOKEEPER_IMAGE}
    container_name: zookeeper
    ports:
      - ${ZOOKEEPER_PORT}:2181
    environment:
      - TZ=${WORKSPACE_TZ}
      # - ZOO_ENABLE_AUTH=${ZOO_ENABLE_AUTH}
      # - ZOO_CLIENT_USER=${ZOO_CLIENT_USER}
      # - ZOO_CLIENT_PASSWORD=${ZOO_CLIENT_PASSWORD}
    networks:
      - w-network

  kafka:
    image: ${KAFKA_IMAGE}
    container_name: kafka
    ports:
      - ${KAFKA_PORT}:9092
    environment:
      - TZ=${WORKSPACE_TZ}
      - KAFKA_ZOOKEEPER_CONNECT=zookeeper:2181
      - KAFKA_LISTENERS=PLAINTEXT://kafka:9092
      # - KAFKA_ZOOKEEPER_USER=${ZOO_CLIENT_USER}
      # - KAFKA_ZOOKEEPER_PASSWORD=${ZOO_CLIENT_PASSWORD}
      - KAFKA_HEAP_OPTS=${KAFKA_HEAP_OPTS}
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
    networks:
      - w-network
    depends_on:
      - zookeeper
